### Method

# Gio TlsConnection get_negotiated_protocol

since: 2.60

#### Declaration

    const gchar*
    g_tls_connection_get_negotiated_protocol (
      GTlsConnection* conn
    )

#### Description

Gets the name of the application-layer protocol negotiated during the handshake.

If the peer did not use the ALPN extension, or did not advertise a protocol that matched one of `conn`‘s protocols, or the TLS backend does not support ALPN, then this will be `NULL`. See g_tls_connection_set_advertised_protocols().

Available since: 2.60

Gets property | `Gio.TlsConnection:negotiated-protocol`

#### Return value

Type: `const gchar*`

The negotiated protocol, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.